name: Gitea Build Action
run-name: ${{ gitea.actor }} build
on: [push]

jobs:
  build-nuxt:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - name: Setup Bun 1.2.0
        uses: oven-sh/setup-bun@v2
        with:
          bun-version: 1.2.0
      - name: Display Bun version
        run: bun --version
      - name: "Install dependencies"
        run: bun install
      - name: "Build"
        run: bun run build
